# KDChartMarkerAttributes.cpp File Reference

`#include "KDChartMarkerAttributes.h"`
`#include <QColor>`
`#include <QMap>`
`#include <QPen>`
`#include <QSizeF>`
`#include <QDebug>`
`#include <qglobal.h>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartMarkerAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const MarkerAttributes &ma)

## Define Documentation

#define d d_func()

| Definition at line 85 of file KDChartMarkerAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const MarkerAttributes & | ma
| ) |

Definition at line 172 of file KDChartMarkerAttributes.cpp.

References KDChart::MarkerAttributes::isVisible(), KDChart::MarkerAttributes::markerColor(), KDChart::MarkerAttributes::markerStyle(), KDChart::MarkerAttributes::markerStylesMap(), and KDChart::MarkerAttributes::pen().

    00172                                                              {
    00173     return dbg << "KDChart::MarkerAttributes("
    00174                << "visible=" << ma.isVisible()
    00175                << "markerStylesMap=" << ma.markerStylesMap()
    00176                << "markerStyle=" << ma.markerStyle()
    00177                << "markerColor=" << ma.markerColor()
    00178                << "pen=" << ma.pen()
    00179                << ")";
    00180 }